> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Button click

> Button click



## OpenAPI

````yaml /swagger.json post /table/{tableId}/record/{recordId}/{fieldId}/button-click
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /table/{tableId}/record/{recordId}/{fieldId}/button-click:
    post:
      tags:
        - record
      summary: Button click
      description: Button click
      parameters:
        - schema:
            type: string
          required: true
          name: tableId
          in: path
        - schema:
            type: string
          required: true
          name: recordId
          in: path
        - schema:
            type: string
          required: true
          name: fieldId
          in: path
      responses:
        '200':
          description: Returns the clicked cell
          content:
            application/json:
              schema:
                type: object
                properties:
                  runId:
                    type: string
                  tableId:
                    type: string
                  fieldId:
                    type: string
                  record:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The record id.
                      name:
                        type: string
                        description: primary field value
                      fields:
                        type: object
                        additionalProperties:
                          nullable: true
                        description: >-
                          Objects with a fields key mapping fieldId or field
                          name to value for that field.
                      autoNumber:
                        type: number
                        description: Auto number, a unique identifier for each record
                      createdTime:
                        type: string
                        description: >-
                          Created time, date ISO string (new
                          Date().toISOString).
                      lastModifiedTime:
                        type: string
                        description: >-
                          Last modified time, date ISO string (new
                          Date().toISOString).
                      createdBy:
                        type: string
                        description: Created by, user name
                      lastModifiedBy:
                        type: string
                        description: Last modified by, user name
                      permissions:
                        type: object
                        additionalProperties:
                          type: object
                          additionalProperties:
                            type: boolean
                        description: Permissions for the record
                      undeletable:
                        type: boolean
                        description: Whether the record is undeletable
                    required:
                      - id
                      - fields
                required:
                  - runId
                  - tableId
                  - fieldId
                  - record
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/%7BfieldId%7D/button-click \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/%7BfieldId%7D/button-click';

            const options = {method: 'POST', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/table/%7BtableId%7D/record/%7BrecordId%7D/%7BfieldId%7D/button-click',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("POST",
            "/api/table/%7BtableId%7D/record/%7BrecordId%7D/%7BfieldId%7D/button-click",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````